package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcVisitRecard;
import com.ruoyi.szxc.mapper.SzxcVisitRecardMapper;
import com.ruoyi.szxc.service.ISzxcVisitRecardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 走访记录Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcVisitRecardServiceImpl implements ISzxcVisitRecardService 
{
    @Autowired
    private SzxcVisitRecardMapper szxcVisitRecardMapper;

    /**
     * 查询走访记录
     * 
     * @param id 走访记录主键
     * @return 走访记录
     */
    @Override
    public SzxcVisitRecard selectSzxcVisitRecardById(Long id)
    {
        return szxcVisitRecardMapper.selectSzxcVisitRecardById(id);
    }

    /**
     * 查询走访记录列表
     * 
     * @param szxcVisitRecard 走访记录
     * @return 走访记录
     */
    @Override
    @DataScope(deptAlias = "v")
    public List<SzxcVisitRecard> selectSzxcVisitRecardList(SzxcVisitRecard szxcVisitRecard)
    {
        return szxcVisitRecardMapper.selectSzxcVisitRecardList(szxcVisitRecard);
    }

    /**
     * 新增走访记录
     * 
     * @param szxcVisitRecard 走访记录
     * @return 结果
     */
    @Override
    public int insertSzxcVisitRecard(SzxcVisitRecard szxcVisitRecard)
    {
        szxcVisitRecard.setCreateTime(DateUtils.getNowDate());
        return szxcVisitRecardMapper.insertSzxcVisitRecard(szxcVisitRecard);
    }

    /**
     * 修改走访记录
     * 
     * @param szxcVisitRecard 走访记录
     * @return 结果
     */
    @Override
    public int updateSzxcVisitRecard(SzxcVisitRecard szxcVisitRecard)
    {
        szxcVisitRecard.setUpdateTime(DateUtils.getNowDate());
        return szxcVisitRecardMapper.updateSzxcVisitRecard(szxcVisitRecard);
    }

    /**
     * 批量删除走访记录
     * 
     * @param ids 需要删除的走访记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcVisitRecardByIds(Long[] ids)
    {
        return szxcVisitRecardMapper.deleteSzxcVisitRecardByIds(ids);
    }

    /**
     * 删除走访记录信息
     * 
     * @param id 走访记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcVisitRecardById(Long id)
    {
        return szxcVisitRecardMapper.deleteSzxcVisitRecardById(id);
    }
}
